Bug 24442 - Abfrage des Windows-Domänen-Namens auf Nicht-Master nicht anzeigen
Abfrage des Windows-Domänen-Namens auf Nicht-Master nicht anzeigen
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UCS Installer
UCS 2.4
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Felix Botner
Moritz Muehlenhoff
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-08 14:03 CET by Moritz Muehlenhoff
Modified: 2013-11-19 06:43 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2011-11-08 14:03:04 CET
Im Domäneneinstellungs-Dialog des Installers wird bei der Installation einer Nicht-Master-Systemrolle der Name der Windows-Domäne abgefragt. Das sollte entfernt werden.
Comment 1 Felix Botner univentionstaff 2013-06-27 15:42:39 CEST
univention-installer:
removed windows domain name query in basic settings for non DC master systems

univention-samba:
removed configuration of windows/domain in postinst and fixed template for non existing windows/domain

univention-join:
set windows/domain during join to value of windows/domainon the master 

univention-system-setup:
disabled windows/domain in basic settings for non DC master systems

QA:

Installation:
UCS Master -> windows/domain in basic settings
Non Master -> no windows/domain in basic settings

System Setup Basic Settings:
Master -> windows/domain should be displayed
Non Master -> no windows/domain

System Setup Boot:
Master -> windows/domain in basic settings
Non Master -> no windows/domain

Pre-Join
windows/domain is not set? (should be empty)

Join:
After the join, windows/domain should be the same as on the master
Comment 2 Moritz Muehlenhoff univentionstaff 2013-08-09 11:17:47 CEST
The NetBIOS domain name is no longer queried on the system roles backup, slave, member and basesystem. Changelog entry exists.

Tests for Univention System Setup and joins still need to be done.
Comment 3 Moritz Muehlenhoff univentionstaff 2013-08-12 13:32:17 CEST
> QA:
> 
> Pre-Join
> windows/domain is not set? (should be empty)
> 
> Join:
> After the join, windows/domain should be the same as on the master

I've installed a DC slave. Prior to the domain join windows/domain was unset. After the domain join, it was set to the value of windows/domain on the DC master.

> System Setup Basic Settings:
> Master -> windows/domain should be displayed
> Non Master -> no windows/domain

I don't see the point for this change: The NetBIOS domain name cannot be configured post-installation, so the greyed-out value only has informative purpose and there's no need to remove the field from the non-master system roles. 

Anyway, the change has been correctly implemented: The NetBIOS domain name is shown on a master and not shown on a DC slave.
Comment 4 Moritz Muehlenhoff univentionstaff 2013-08-14 08:43:58 CEST
(In reply to Felix Botner from comment #1)

> System Setup Boot:
> Master -> windows/domain in basic settings
> Non Master -> no windows/domain

In appliance mode the NetBIOS domain name is no longer requested if slave/member/backup have been selected as the system role.

Changelog entries exist.
Comment 5 Stefan Gohmann univentionstaff 2013-11-19 06:43:10 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".